package com.ruoyi.project.hit.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.project.hit.domain.PupuLog;
import com.ruoyi.project.hit.domain.PupuStore;
import com.ruoyi.project.hit.service.PupuLogService;
import com.ruoyi.project.hit.service.PupuStoreService;
import com.ruoyi.project.hit.mapper.PupuStoreMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.*;

/**
* @author HP
* @description 针对表【pupu_store】的数据库操作Service实现
* @createDate 2024-09-05 16:23:38
*/
@Service
public class PupuStoreServiceImpl extends ServiceImpl<PupuStoreMapper, PupuStore>
    implements PupuStoreService{

    @Resource
    private PupuStoreMapper pupuStoreMapper;
    @Resource
    private PupuLogService pupuLogService;

    @Override
    public int add(PupuStore pupuStore) {
        pupuLogService.add(new PupuLog("门店新增",1,new Date()));
        return pupuStoreMapper.insert(pupuStore);
    }

    @Override
    public int del(Integer storeId) {
        pupuLogService.add(new PupuLog("门店删除",2,new Date()));
        return pupuStoreMapper.deleteById(storeId);
    }

    @Override
    public List<Map<String, Object>> select() {
        LambdaQueryWrapper<PupuStore> wrapper=new LambdaQueryWrapper<>();
        List<PupuStore> pupuStores = pupuStoreMapper.selectList(wrapper);

        List<Map<String,Object>> list=new ArrayList<>();
        for (PupuStore pupuStore : pupuStores) {
            Map<String,Object> map=new HashMap<>();
            map.put("storeId",pupuStore.getStoreId());
            String[] arr={pupuStore.getLongitude(),pupuStore.getLatitude()};
            map.put("lnglat",arr);
            map.put("province",pupuStore.getProvince());
            map.put("city",pupuStore.getCity());
            map.put("district",pupuStore.getDistrict());
            map.put("name",pupuStore.getStoreName());
            map.put("state",pupuStore.getStatus());
            list.add(map);
        }


        return list;
    }
}




